require('dotenv').config();
const debug=require('debug')('debug');
const trias = require("trias-client");

const URL=process.env.URL||'URL';
debug('URL: '+URL)

const REF=process.env.REF||'REF';
debug('REF: '+REF)

var client = trias.getClient({
    url: `${URL}`,
    requestorRef: `${REF}`
});

run().catch(err => {
    debug('run: error')
    console.log(err)
});

async function run() {
    debug('run:...')
    var stopsResult = await client.getStops(
	{
	    name: "am dobben"
	}
    );
    debug('getStops() done.');
    var departuresResult = await client.getDepartures(
	{
	    id: stopsResult.stops[0].id
	}
    );
    debug('getDepartures() done.');
    debug('run: done.')
}
